<?php

namespace app\shared\controller\user;
use app\shared\logic\user\UserForm;
//用户管理
class User{
	//用户管理
	public function index(){
		$form=new UserForm();
		return $form->index();
	}
	//我的卡片
	public function card(){
		$form=new UserForm();
		return $form->card();
	}
	 //用户设置
    public function setting(){
    	$form=new UserForm();
		return $form->setting();
    }
    //充值金额
    public function recharge(){
    	$form=new UserForm();
		return $form->recharge();
    }
    //余额明细列表
    public function moneyBill(){
    	$form=new UserForm();
        return $form->moneyBill();
    }
    //提现申请
    public function applyWithdraw(){
        $form=new UserForm();
        return $form->applyWithdraw();
    }
    //提现列表
    public function withdrawList(){
        $form=new UserForm();
        return $form->withdrawList();
    }
    //切换商户
    public function toggleStore(){
        $form=new UserForm();
        return $form->toggleStore();
    }
    //优惠券列表
    public function couponList(){
        $form=new UserForm();
        return $form->couponList();
    }
    //领券中心
    public function couponCenter(){
        $form=new UserForm();
        return $form->couponCenter();
    }
    //领取优惠券
    public function receiveCoupon(){
        $form=new UserForm();
        return $form->receiveCoupon();
    }
    //领取转发优惠券
    public function forwardCoupon(){
        $form=new UserForm();
        return $form->forwardCoupon();
    }
     //历史记录
    public function historyRecord(){
        $form=new UserForm();
        return $form->historyRecord();
    }
    public function cardCouponList(){
        $form=new UserForm();
        return $form->cardCouponList();
    }
    public function cardCouponOrder(){
        $form=new UserForm();
        return $form->cardCouponOrder();
    }
    //核销卡券
    public function verificationCardCoupon(){
        $form=new UserForm();
        return $form->verificationCardCoupon();
    }
    //兑换码
    public function conversionCode(){
        $form=new UserForm();
        return $form->conversionCode();
    }
    //消费排行
    public function consumeRanking(){
         $form=new UserForm();
        return $form->consumeRanking();
    }
    //选择商户
    public function selectStore(){
        $form=new UserForm();
        return $form->selectStore();
    }

}
